Bug 1131022 - pmlogger service not starting when not chkconfig'ed on
Summary: pmlogger service not starting when not chkconfig'ed on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcp
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nathan Scott
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Depends On:
Blocks: 1185755 1186012
TreeView+ depends on / blocked
 
Reported: 2014-08-18 11:57 UTC by Marko Myllynen
Modified: 2015-07-22 06:24 UTC (History)
4 users (show)

Fixed In Version: pcp-3.10.3-1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the PCP pmlogger daemon start script started the daemon only if the pmlogger service was enabled by the "chkconfig on" command. Consequently, the daemon silently failed to start when the service was disabled. With this update, additional diagnostics have been added to the start script. Now, when attempting to start the pmlogger daemon with the pmlogger service disabled, the user is properly informed and given instructions on how to eliminate the problem.
Clone Of:
: 1186012 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:24:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1300 normal SHIPPED_LIVE pcp bug fix and enhancement update 2015-07-20 18:00:16 UTC

Description Marko Myllynen 2014-08-18 11:57:50 UTC
Description of problem:
service pmlogger start exits quietly unless pmlogger hasn't been chkconfig'ed on, it should be possible to start pmlogger without enabling it permanently.

# service pmlogger status
Checking for pmlogger: stopped
# service pmlogger start
# sleep 10
# service pmlogger status
Checking for pmlogger: stopped
# chkconfig pmlogger on
# service pmlogger start
Starting pmlogger ... 
# sleep 10
# service pmlogger status
Checking for pmlogger: running
#

Comment 2 Nathan Scott 2014-10-30 00:08:52 UTC
I agree we should definitely allow this - I think the current behaviour is a remnant from other operating systems (IRIX).  There's code there to issue a diagnostic but its either not being activated (pmie case) or not all there (in the pmlogger case) - both should be fixed up.

Tagging this for 6.7 and will fix upstream soon - thanks Marko.

Comment 3 Nathan Scott 2015-03-03 02:33:05 UTC
There's some concern / on-going discussion upstream about the consequences of starting pmloggers that are not being properly tracked (in terms of not having logs rotated, compressed, and so on) and things like cronjobs and helper scripts being closely reliant on chkconfig state to know whether they should operate.  I'll keep on working on it (we have a separate bug open as a systemd-variant of this BZ), but there's no short-term easy solution.

Since some deadlines are close for RHEL6.7 and I think we should definitely do something to help the major problem here (i.e., the service silently failing to start) - so I've tackled the diagnostics/reporting side of the problem in the interim, as follows:

# /sbin/chkconfig pmlogger off
# service pmlogger start
/etc/rc.d/init.d/pmlogger: Warning: Performance Co-Pilot archive logger(s) are disabled.
    To enable pmlogger, run the following as root:
    # /sbin/chkconfig pmlogger on
# /sbin/chkconfig pmlogger on
# service pmlogger start
Starting pmlogger ... 
# 

So, the punter no longer has to spend ages trying to figure out why the start script didn't do anything.  I'll track the remainder of the problem under the Fedora BZ, and a future rebase for RHEL will pick up other work done there to further improve the situation, as soon as it becomes available.

Comment 5 Miloš Prchlík 2015-05-22 12:07:34 UTC
Verified for build pcp-3.10.3-3.el6.

Comment 7 errata-xmlrpc 2015-07-22 06:24:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1300.html


Note You need to log in before you can comment on or make changes to this bug.